<?php
include('../common/parseargs.php');

$USAGE=" --disksafeid=<disksafeid> ";

include('../common/basicargcheck.php');

if ($argc < 2) {
        usage($argv[0],$USAGE);
        exit(1);
}


#arguments
$DISKSAFEID=$args_array['disksafeid'];


if (strlen($DISKSAFEID) < 1) {
        echo "ERROR: --disksafeid=<disksafeid> must be defined\n";
        usage($argv[0],$USAGE);
        exit(1);
}

try{

	$client = new soapclient("https://$HOST:$PORT/DiskSafe?wsdl",
		array('login'=>"$USER",
		'password'=>"$PASS",
		'trace'=>1
		)
	);

	$response = $client->getDiskSafeById(array('id'=>"$DISKSAFEID")) ;

	var_dump($response);
	
	echo "Successfully executed getDiskSafeById\n";
} 
catch (SoapFault $exception)
{
	echo $exception;
}
?> 
